import * as React from 'react';
import clsx from 'clsx';
import {slider} from './style.module.css';

type SliderDerivedComponent = HTMLInputElement;

export interface SliderProps extends Omit<React.HTMLProps<HTMLInputElement>, 'type'> {

}

export const Slider = React.forwardRef<SliderDerivedComponent, SliderProps>(({
  className,
  style,
  ...etcProps
}, forwardedRef) => {
  return (
    <div
      className={clsx(
        className,
      )}
      style={style}
    >
      <input
        {...etcProps}
        ref={forwardedRef}
        type="range"
        className={clsx(
          slider,
          'w-full h-full bg-inherit slider block text-primary ring-secondary/50 rounded-full',
          'focus:text-secondary focus:outline-0 focus:ring-4',
          'active:text-tertiary active:ring-tertiary/50',
        )}
      />
    </div>
  )
});

Slider.displayName = 'Slider';
